[Rainmeter]
Author=Natali
Update=100
DefaultUpdateDivider=10
OnRefreshAction=[!ZPos "-1"][!Redraw]

[Variables]

AlarmTime=00 : 00
AlarmIsOff=1
AlarmIsOn=0
AlarmClockIsOn=1
AlarmClockIsOff=0

UseAMPM=0

VarWeatherCode=UPXX0020
CityName=Николаев

VarWeatherRUS=" And ":" И "," and ":" и ","AM":"Ночью","PM":"Днем","Blowing":"Ветренно","Clear":"Ясно","Cloudy":"Облачно","Cloud":"Облачно","Clouds":"Облака","Drifting":"Дрейфующий","Drizzle":"Морось","Dust":"Пыль","Early":"Ранний","Fair":"Ясно","Few":"Местами","Fog":"Туман","Freezing":"Обледенение","Freezing Drizzle":"Изморозь","Freezing Rain":"Ледяной дождь","Frigid":"Прохладно","Grains":"Зёрна","Hail":"Град","Haze":"Лёгкий туман","Heavy":"Сильный","Heavy Rain":"Сильный дождь","Heavy Snow":"Сильный снегопад","Hot":"Жарко","in the Vicinity":"в окресностях","Isolated":"Временами","Isolated Thunder":"Временами Гром","Late":"вечером","Lgt.":"Ясно","Light":"Небольшой","Light Drizzle":"Небольшая изморось","Light Rain":"Небольшой дождь","Light Rain Early":"Ранний небольшой дождь","LightRainShower":"Дождь","Light Snow":"Небольшой снег","Mist":"Туман","Mostly":"В основном","Mostly Cloudy":"Преимущественно облачно","Mostly Clear":"В основном ясно","Mostly Sunny":"Облачно с прояснениями","Partial":"Частично","Partly":"Отчасти","Partly Cloudy":"Переменная облачность","Rain":"Дождь","Rain Snow":"Снег с дождем","Set":"Закат","Scattered":"Возможно","Scattered Showers":"Возможен ливень","Scattered Snow":"Возможен снег","Scattered Rain":"Возможен дождь","Scattered T-Storms":"Возможно буря","Showers Late":"Поздний дождь","Shower":"Ливень","Showers":"Дождь","Sleet":"Мокрый снег, гололёд","Snow":"Снег","Snowflakes":"Снежинки","Snow Flurries":"Снегопад","Snow Shower":"Сильный снегопад","Snow/Rain Icy Mix":"Ледяной дождь/снег","Snowy":"Небольшой снег","Smoke":"Дым","Sun":"Солнечно","Sunny":"Солнечно","T-Showers":"Ливень","T-Storm":"Гроза","T-Storms":"Буря","Thunderstorm":"Буря","Thunderstorms":"Гроза","Thunder":"Гром","W-ead Dust":"Пыльная буря","Widespread":"Распространение","Wind":"Ветер","Windy":"Ветренно","Wintry Mix":"Ветер","with":"с","Windy Rain":"Дождь с ветром","Windy/Snowy":"Ветер/Снег"

TEMPERATURES
CPUIndex=0
GPUIndex=2
PrimaryHDDIndex=1
FAN=

Drive1="C:\"
Drive2="D:\"

ImagePath=Images\
Interface=0
TypeConnect=INTERNET
IMG=NetworkError

;MaxDownload=3145728
;MaxUpload=1048576

;maxDownload=8.389e+6
;MaxUpload=838861

[style]
FontFace=Vibrocentric
FontSize=8
FontColor=255,255,255,255
StringEffect=Border
FontEffectColor=0,148,255,128
AntiAlias=1

[style1]
FontFace=Vibrocentric
FontSize=10
FontColor=255,255,255,255
StringEffect=Border
FontEffectColor=0,148,255,128
AntiAlias=1

[Background]
Meter=Image
ImageName=Image\Background.png
W=220
H=860

===================================
Computer
===================================
[MeterComputer]
Meter=Image
ImageName=Image\HUD Computer.png
X=6
Y=4
W=28
H=28
LeftMouseUpAction=[PLAY "camera.wav"]["::{20D04FE0-3AEA-1069-A2D8-08002B30309D}"]

===================================
Calendar
===================================
[MeterCalendar1]
Meter=Image
SolidColor=0,0,0,0
X=70
Y=4
W=70
H=35
LeftMouseDownAction=[PLAY "camera.wav"][!RainmeterActivateConfig "Information Bar\Calendar" "Calendar 2017.ini"][!RainmeterShowMeter MeterCalendar2][!RainmeterHideMeter MeterCalendar1]

[MeterCalendar2]
Meter=Image
SolidColor=0,0,0,0
X=70
Y=4
W=70
H=35
LeftMouseDownAction=[PLAY "camera.wav"][!RainmeterDeactivateConfig "Information Bar\Calendar" "Calendar 2017.ini"][!RainmeterShowMeter MeterCalendar1][!RainmeterHideMeter MeterCalendar2]
Hidden=1
===================================
Time
===================================
[MeasureTime]
Measure=Time
Format=%H : %M : %S

[DATE]
Measure=Time
Format=%d %B
Substitute="January":"Января","February":"Февраля","March":"Марта","April":"Апреля","May":"Мая","June":"Июня","July":"Июля","August":"Августа","September":"Сентября","October":"Октября","November":"Ноября","December":"Декабря"

[MeasureDay]
Measure=Time
Format=%A
Substitute="Monday":"Понедельник","Tuesday":"Вторник","Wednesday":"Среда","Thursday":"Четверг","Friday":"Пятница","Saturday":"Суббота","Sunday":"Воскресенье"
========
[MeasureWeek]
Measure=Time
Format=%#W

[MeasureNextWeek]
Measure=Calc
Formula=( MeasureWeek + 0 )
RegExpSubstitute=1

[MeasureDayDay]
Measure=Time
Format=%#j
RegExpSubstitute=1

[MeasureDateYear]
Measure=Time
Format=%Y

[MeterTime]
MeasureName=MeasureTime
Meter=STRING
X=55
Y=5
FontSize=11
MeterStyle=style1
StringAlign=Left

[(date)]
MeasureName=DATE
Meter=String
X=110
Y=19
MeterStyle=style1
StringAlign=Center

[MeterDay]
MeasureName=MeasureDay
Meter=String
X=110
Y=32
MeterStyle=style1
StringAlign=Center
========================
[MeasureSeconds]
Measure=Time
Format=%S

[MeasureSecondsBar]
Measure=Calc
Formula=floor(MeasureSeconds / 1) / 60

[SecondsBar]
Meter=Bar
MeasureName=MeasureSecondsBar
BarImage=Image/secbar.png
BarOrientation=Horizontal
X=21
Y=46
=========
[Week]
MeasureName=MeasureNextWeek
Meter=STRING
X=20
Y=50
MeterStyle=style
Text=" неделя  %1"
AntiAlias=1

[Day]
MeasureName=MeasureDayDay
Meter=STRING
X=7R
Y=r
MeterStyle=style
Text=" день  %1"
AntiAlias=1
=====================================
Alarm
=====================================
[MeasureTimeNumber]
Measure=Time
Format="%H%M%S"

[MeasureAlarmNumber]
Measure=Calc
Formula=1
DynamicVariables=1
UpdateDivider=-1
RegExpSubstitute=1
Substitute="1":"#AlarmTime#","^0(.)":"\1"," ":"","A":"a","M":"m","P":"p","^24:(..).*$":"0\1","^12:(..)am$":"0\1","^12:(..)pm$":"12\1","^1:(..)pm$":"13\1","^2:(..)pm$":"14\1","^3:(..)pm$":"15\1","^4:(..)pm$":"16\1","^5:(..)pm$":"17\1","^6:(..)pm$":"18\1","^7:(..)pm$":"19\1","^8:(..)pm$":"20\1","^9:(..)pm$":"21\1","^10:(..)pm$":"22\1","^11:(..)pm$":"23\1","am":"",":":""

[MeasureAlarm]
Measure=Calc
Formula=(([MeasureAlarmNumber]00)-([MeasureTimeNumber])+1000000)
DynamicVariables=1
Disabled=#AlarmIsOff#
IfEqualValue=1000000
IfEqualAction=[PlayLoop "ALARM.wav"]

[MeasureAlarmPosHours]
Measure=Calc
Formula=1
DynamicVariables=1
UpdateDivider=-1
RegExpSubstitute=1
Substitute="1":"#AlarmTime#"," ":"","^0(.):":"\1:","A":"a","M":"m","P":"p","^(.+):(..)(.*)$":"\1\3","24":"0","23":"11","22":"10","21":"9","20":"8","19":"7","18":"6","17":"5","16":"4","15":"3","14":"2","13":"1","12":"00","a":"","p":"","m":""

[MeasureAlarmPosMinutes]
Measure=Calc
Formula=1
DynamicVariables=1
UpdateDivider=-1
RegExpSubstitute=1
Substitute="1":"#AlarmTime#","^(.+):(..)(.*)$":"\2"

[MeasureAlarmPos]
Measure=Calc
Formula=(((([MeasureAlarmPosHours])*60)+([MeasureAlarmPosMinutes]))/720)
DynamicVariables=1
UpdateDivider=-1

[MeterButtonAlarmIsOff]
Meter=IMAGE
X=185
Y=-1
W=35
H=35
ImageRotate=40
ImageName=Image\disabled.png
LeftMouseDownAction=[PLAY "camera.wav"][!WriteKeyValue Variables "AlarmIsOff" "0"][!WriteKeyValue Variables "AlarmIsOn" "1"][!Refresh "#CURRENTCONFIG#"]
TooltipText=Включить сигнал
UpdateDivider=-1
Hidden=#AlarmIsOn#
DynamicVariables=1

[MeterButtonAlarmIsOn]
Meter=IMAGE
X=185
Y=-1
W=35
H=35
ImageRotate=40
ImageName=Image\enabled.png
LeftMouseDownAction=[!WriteKeyValue Variables "AlarmIsOff" "1"][!WriteKeyValue Variables "AlarmIsOn" "0"][PLAYSTOP][!Refresh "#CURRENTCONFIG#"]
UpdateDivider=-1
Hidden=#AlarmIsOff#
DynamicVariables=1

===================================
[AlarmHM]
Measure=Plugin
Plugin=InputText.dll
X=76
Y=60
W=65
H=10
FontFace=Vibrocentric
FontColor=255,255,255
StringEffect=Border
FontEffectColor=0,148,255,128
AntiAlias=1
FontSize=10
StringAlign=CENTER
FocusDismiss=1
DefaultValue=#AlarmTime#
NumOfDecimals=#NDec#
DynamicVariables=1
Command1=[!WriteKeyValue Variables AlarmTime "$UserInput$" ][!Refresh]
ClipString=1

[AlarmText]
Meter=String
Text=#AlarmTime#
X=79
Y=60
StringAlign=LEFT
FontFace=Vibrocentric
FontColor=255,255,255
StringEffect=Border
FontEffectColor=0,148,255,128
AntiAlias=1
FontSize=10
;ToolTipText="Установить сигнал"
LeftMouseUpAction=[!CommandMeasure "AlarmHM ExecuteBatch 1"]

==============================
[Line1]
Meter=Image
ImageName=Image\Separator.png
ImageAlpha=130
X=30
Y=74
===================================
Drive
===================================
[MeasureTotalDrive1]
Measure=FreeDiskSpace
Drive=#Drive1#
Total=1
UpdateDivider=5

[MeasureTotalDrive2]
Measure=FreeDiskSpace
Drive=#Drive2#
Total=1
UpdateDivider=5

[MeasureUsedDrive1]
Measure=FreeDiskSpace
Drive=#Drive1#
Measure=1
UpdateDivider=5

[MeasureUsedDrive2]
Measure=FreeDiskSpace
Drive=#Drive2#
Measure=1
UpdateDivider=5

[DriveLetter1]
Meter=STRING
MeasureName=MeasureTotalDrive1
X=195
Y=81
StringAlign=Right
MeterStyle=style
Autoscale=1
Text="#Drive1# %1"

[MeterButton1]
Meter=Button
X=15
Y=75
LeftMouseUpAction=[PLAY "camera.wav"][C:\]
ButtonImage=Image\HDD.png

[MeterUsed1]
Meter=STRING
MeasureName=MeasureUsedDrive1
X=195
Y=93
MeterStyle=style
StringAlign=Right
Autoscale=1
Text="Свободно %1"

[DriveLetter2]
Meter=STRING
MeasureName=MeasureTotalDrive2
X=195
Y=111
MeterStyle=style
StringAlign=Right
Autoscale=1
Text="#Drive2# %1"

[MeterButton2]
Meter=Button
X=15
Y=106
LeftMouseUpAction=[PLAY "camera.wav"][D:\]
ButtonImage=Image\HDD.png

[MeterUsed2]
Meter=STRING
MeasureName=MeasureUsedDrive2
X=195
Y=123
MeterStyle=style
StringAlign=Right
Autoscale=1
Text="Свободно %1"

===================================
[Line2]
Meter=Image
ImageName=Image\Separator.png
ImageAlpha=130
X=30
Y=137
===================================
RAM
===================================
[MeasureTotalRAM]
Measure=PhysicalMemory
Total=1

[MeasureUsedRAM]
Measure=PhysicalMemory

[MeasureFreeRAM]
Measure=PhysicalMemory
InvertMeasure=1

[RAMtext]
Meter=STRING
X=30
Y=145
MeterStyle=style
Text="RAM"

[UsedRAMtext]
MeasureName=MeasureUsedRAM
Meter=STRING
X=15
Y=169
StringAlign=LEFT
MeterStyle=style
AutoScale=1
Percentual=1
PreFix="Занято "
PostFix="%"

[FreeRAMtext]
MeasureName=MeasureFreeRAM
Meter=STRING
X=15
Y=183
StringAlign=LEFT
MeterStyle=style
AutoScale=1
Percentual=1
PreFix="Свободно "
PostFix="%"

[UsedRAM]
MeasureName=MeasureUsedRAM
Meter=STRING
X=140
Y=169
StringAlign=LEFT
MeterStyle=style
AutoScale=1
NumOfDecimals=2
PostFix="B"

[FreeRAM]
MeasureName=MeasureFreeRAM
Meter=STRING
X=140
Y=183
StringAlign=LEFT
MeterStyle=style
AutoScale=1
NumOfDecimals=2
PostFix="B"

[ToalRAM]
MeasureName=MeasureTotalRAM
Meter=STRING
X=140
Y=145
StringAlign=LEFT
MeterStyle=style
AutoScale=1
NumOfDecimals=1
PostFix="B"

[RAMImage]
Meter=Image
ImageName=Image\1.png
X=23
Y=157

[RAMBar]
Meter=Bar
MeasureName=MeasureUsedRAM
X=23
Y=157
BarImage=Image\2.png
BarOrientation=HORIZONTAL

==========Цвет==================
[RC]
Measure=Calc
Formula=(Round(MeasureUsedRAM/(MeasureTotalRAM/100),1))
;От 0% до 50% - голубой
IfCondition=(RC >= 0)&&(RC < 50)
IfTrueAction=[!SetOption RAMBar ImageTint "0399f3"]
;От 50% до 60% - синий
IfCondition2=(RC >= 50)&&(RC < 60)
IfTrueAction2=[!SetOption RAMBar ImageTint "015589"]
;От 60% до 70% - жёлтый
IfCondition3=(RC >= 60)&&(RC < 70)
IfTrueAction3=[!SetOption RAMBar ImageTint "FAFF0D"]
;От 70% до 80% - оранжевый
IfCondition4=(RC >= 70)&&(RC < 80)
IfTrueAction4=[!SetOption RAMBar ImageTint "C97906"]
;От 80% до 90% - красный
IfCondition5=(RC >= 80)
IfTrueAction5=[!SetOption RAMBar ImageTint "FF0000"]
===================================
SWAP
===================================
[MeasureTotalSWAP]
Measure=SwapMemory
Total=1

[MeasureUsedSWAP]
Measure=SwapMemory

[MeasureFreeSWAP]
Measure=SwapMemory
InvertMeasure=1

[SWAPtext]
Meter=STRING
X=30
Y=200
MeterStyle=style
Text="SWAP"

[UsedSWAPtext]
MeasureName=MeasureUsedSWAP
Meter=STRING
X=15
Y=225
StringAlign=LEFT
MeterStyle=style
Autoscale=1
Percentual=1
PreFix="Занято "
PostFix="%"

[FreeSWAPtext]
MeasureName=MeasureFreeSWAP
Meter=STRING
X=15
Y=239
StringAlign=LEFT
MeterStyle=style
Autoscale=1
Percentual=1
PreFix="Свободно "
PostFix="%"

[UsedSWAP]
MeasureName=MeasureUsedSWAP
Meter=STRING
X=140
Y=225
StringAlign=LEFT
MeterStyle=style
Autoscale=1
NumOfDecimals=2
PostFix="B"

[FreeSWAP]
MeasureName=MeasureFreeSWAP
Meter=STRING
X=140
Y=239
StringAlign=LEFT
MeterStyle=style
Autoscale=1
NumOfDecimals=2
PostFix="B"

[ToalSWAP]
MeasureName=MeasureTotalSWAP
Meter=STRING
X=140
Y=200
StringAlign=LEFT
MeterStyle=style
Autoscale=1
NumOfDecimals=1
PostFix="B"

[SWAPImage]
Meter=Image
ImageName=Image\1.png
X=23
Y=212

[SWAPBar]
Meter=Bar
MeasureName=MeasureUsedSWAP
X=23
Y=212
BarImage=Image\2.png
BarOrientation=HORIZONTAL

==========Цвет==================
[SC]
Measure=Calc
Formula=(Round(MeasureUsedSWAP/(MeasureTotalSWAP/100),1))
;От 0% до 50% - голубой
IfCondition=(SC >= 0)&&(SC < 50)
IfTrueAction=[!SetOption SWAPBar ImageTint "0399f3"]
;От 50% до 60% - синий
IfCondition2=(SC >= 50)&&(SC < 60)
IfTrueAction2=[!SetOption SWAPBar ImageTint "015589"]
;От 60% до 70% - жёлтый
IfCondition3=(SC >= 60)&&(SC < 70)
IfTrueAction3=[!SetOption SWAPBar ImageTint "FAFF0D"]
;От 70% до 80% - оранжевый
IfCondition4=(SC >= 70)&&(SC < 80)
IfTrueAction4=[!SetOption SWAPBar ImageTint "C97906"]
;От 80% до 90% - красный
IfCondition5=(SC >= 80)
IfTrueAction5=[!SetOption SWAPBar ImageTint "FF0000"]
===================================
[Line3]
Meter=Image
ImageName=Image\Separator.png
ImageAlpha=130
X=30
Y=253
===================================
CPU
===================================

[MeasureCPU]
Measure=CPU
AverageSize=10

[mCPUavg]
Measure=CPU
Processor=0
MinValue=0
MaxValue=100

[cCPUavg]
Measure=Calc
Formula=mCPUavg/100
MinValue=0
MaxValue=1

[MeasureCPU1]
Measure=CPU
Processor=1
AverageSize=10

[CPU1]
Measure=Calc
Formula=MeasureCPU1/100

[MeasureCPU2]
Measure=CPU
Processor=2
AverageSize=10

[CPU2]
Measure=Calc
Formula=MeasureCPU2/100

[MeasureCPU3]
Measure=CPU
Processor=3
AverageSize=10

[CPU3]
Measure=Calc
Formula=MeasureCPU3/100

[MeasureCPU4]
Measure=CPU
Processor=4
AverageSize=10

[CPU4]
Measure=Calc
Formula=MeasureCPU4/100

[MeasureCPUMHz]
Measure=Plugin
Plugin=Plugins\PowerPlugin.dll
PowerState=MHZ
========================
CPU

[CPUtext1]
Meter=STRING
X=20
Y=261
MeterStyle=style
Text="CPU"

[CPUtext2]
Meter=STRING
MeasureName=MeasureCPU
X=60
Y=261
StringAlign=LEFT
MeterStyle=style
NumOfDecimals=1

[CPUtext3]
Meter=STRING
X=90
Y=261
StringAlign=LEFT
MeterStyle=style
Text="%"
 
[CPULine]
Meter=Line
MeasureName=mCPUavg
X=19
Y=269
H=15
W=80
LineWidth=1
LineCount=1
LineColor=0,168,255,255
AutoScale=0
AntiAlias=0

[CPUHistogram]
Meter=HISTOGRAM
MeasureName=mCPUavg
X=19
Y=269
H=15
W=80
PrimaryColor=0,168,255,50
AutoScale=0
AntiAlias=0

[CPULine1]
Meter=Line
MeasureName=mCPUavg
X=120
Y=269
H=15
W=80
LineWidth=1
LineCount=1
LineColor=0,168,255,255
AutoScale=0
AntiAlias=0
GraphStart=LEFT

[CPUHistogram1]
Meter=HISTOGRAM
MeasureName=mCPUavg
X=120
Y=269
H=15
W=80
PrimaryColor=0,168,255,50
AutoScale=0
AntiAlias=0
GraphStart=LEFT

[PointerCPU]
Meter=Image
ImageName=Image\ptrCPU.png
X=99
Y=((269+13)-( ([cCPUavg] * (15-1))))
AntiAlias=1
DynamicVariables=1

[ImagePointerCPU]
Meter=Image
ImageName=Image\0CPU.png
X=108
Y=269

==============
[MeterMHz]
Meter=STRING
MeasureName=MeasureCPUMHz
X=125
Y=261
StringAlign=LEFT
MeterStyle=style
AutoScale=1
Text="%1 MHz"
============
CPU1

[CPU1text1]
Meter=STRING
X=20
Y=288
MeterStyle=style
Text="ЯДРО 1"

[CPU1text2]
Meter=STRING
MeasureName=MeasureCPU1
X=20
Y=298
StringAlign=LEFT
MeterStyle=style
NumOfDecimals=1
Text="%1%"

[CPU1Bar1]
Meter=Image
ImageName=Image\3.png
X=82
Y=290

[CPU1Bar]
Meter=Bar
MeasureName=MeasureCPU1
X=82
Y=290
BarImage=Image\4.png
BarOrientation=VERTICAL

==========Цвет==================
[CPU1 0-50] голубой
Measure=Calc
Formula=(MeasureCPU1 > 0)&&(MeasureCPU1 < 50)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU1Bar ImageTint "0399f3"]

[CPU1 50-60] синий
Measure=Calc
Formula=((MeasureCPU1 > 50)||(MeasureCPU1 = 50))&&(MeasureCPU1 < 60)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU1Bar ImageTint "015589"]

[CPU1 60-70] жёлтый
Measure=Calc
Formula=((MeasureCPU1 > 60)||(MeasureCPU1 = 60))&&(MeasureCPU1 < 70)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU1Bar ImageTint "FAFF0D"]

[CPU1 70-80] оранжевый
Measure=Calc
Formula=((MeasureCPU1 > 70)||(MeasureCPU1 = 70))&&(MeasureCPU1 < 80)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU1Bar ImageTint "C97906"]

[CPU1 80-90] красный
Measure=Calc
Formula=((MeasureCPU1 > 80)||(MeasureCPU1 = 80))&&(MeasureCPU1 < 90)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU1Bar ImageTint"FF0000"]
=================
CPU2

[CPU2text1]
Meter=STRING
X=145
Y=288
MeterStyle=style
Text="ЯДРО 2"

[CPU2text2]
Meter=STRING
MeasureName=MeasureCPU2
X=145
Y=298
StringAlign=LEFT
MeterStyle=style
NumOfDecimals=1
Text="%1%"

[CPU2Bar1]
Meter=Image
ImageName=Image\3.png
X=98
Y=290

[CPU2Bar]
Meter=Bar
MeasureName=MeasureCPU2
X=98
Y=290
BarImage=Image\4.png
BarOrientation=VERTICAL

==========Цвет==================
[CPU2 0-50] голубой
Measure=Calc
Formula=(MeasureCPU2 > 0)&&(MeasureCPU2 < 50)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU2Bar ImageTint "0399f3"]

[CPU2 50-60] синий
Measure=Calc
Formula=((MeasureCPU2 > 50)||(MeasureCPU2 = 50))&&(MeasureCPU2 < 60)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU2Bar ImageTint "015589"]

[CPU2 60-70] жёлтый
Measure=Calc
Formula=((MeasureCPU2 > 60)||(MeasureCPU2 = 60))&&(MeasureCPU2 < 70)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU2Bar ImageTint "FAFF0D"]

[CPU2 70-80] оранжевый
Measure=Calc
Formula=((MeasureCPU2 > 70)||(MeasureCPU2 = 70))&&(MeasureCPU2 < 80)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU2Bar ImageTint "C97906"][

[CPU2 80-90] красный
Measure=Calc
Formula=((MeasureCPU2 > 80)||(MeasureCPU2 = 80))&&(MeasureCPU2 < 90)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU2Bar ImageTint"FF0000"]

========================
CPU3

[CPU3text1]
Meter=STRING
X=20
Y=312
MeterStyle=style
Text="ЯДРО 3"

[CPU3text2]
Meter=STRING
MeasureName=MeasureCPU3
X=20
Y=322
StringAlign=LEFT
MeterStyle=style
NumOfDecimals=1
Text="%1%"

[CPU3Bar1]
Meter=Image
ImageName=Image\3.png
X=113
Y=290

[CPU3Bar]
Meter=Bar
MeasureName=MeasureCPU3
X=113
Y=290
BarImage=Image\4.png
BarOrientation=VERTICAL

==========Цвет==================
[CPU3 0-50] голубой
Measure=Calc
Formula=(MeasureCPU3 > 0)&&(MeasureCPU3 < 50)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU3Bar ImageTint "0399f3"]

[CPU3 50-60] синий
Measure=Calc
Formula=((MeasureCPU3 > 50)||(MeasureCPU3 = 50))&&(MeasureCPU3 < 60)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU3Bar ImageTint "015589"]

[CPU3 60-70] жёлтый
Measure=Calc
Formula=((MeasureCPU3 > 60)||(MeasureCPU3 = 60))&&(MeasureCPU3 < 70)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU3Bar ImageTint "FAFF0D"]

[CPU3 70-80] оранжевый
Measure=Calc
Formula=((MeasureCPU3 > 70)||(MeasureCPU3 = 70))&&(MeasureCPU3 < 80)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU3Bar ImageTint "C97906"]

[CPU3 80-90] красный
Measure=Calc
Formula=((MeasureCPU3 > 80)||(MeasureCPU3 = 80))&&(MeasureCPU3 < 90)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU3Bar ImageTint"FF0000"]
========================
CPU4

[CPU4text1]
Meter=STRING
X=145
Y=312
MeterStyle=style
Text="ЯДРО 4"

[CPU4text2]
Meter=STRING
MeasureName=MeasureCPU4
X=145
Y=322
StringAlign=LEFT
MeterStyle=style
NumOfDecimals=1
Text="%1%"

[CPU4Bar1]
Meter=Image
ImageName=Image\3.png
X=129
Y=290

[CPU4Bar]
Meter=Bar
MeasureName=MeasureCPU4
X=129
Y=290
BarImage=Image\4.png
BarOrientation=VERTICAL

==========Цвет==================
[CPU4 0-50] голубой
Measure=Calc
Formula=(MeasureCPU4 > 0)&&(MeasureCPU4 < 50)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU4Bar ImageTint "0399f3"]

[CPU4 50-60] синий
Measure=Calc
Formula=((MeasureCPU4 > 50)||(MeasureCPU4 = 50))&&(MeasureCPU4 < 60)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU4Bar ImageTint "015589"]

[CPU4 60-70] жёлтый
Measure=Calc
Formula=((MeasureCPU4 > 60)||(MeasureCPU4 = 60))&&(MeasureCPU4 < 70)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU4Bar ImageTint "FAFF0D"]

[CPU4 70-80] оранжевый
Measure=Calc
Formula=((MeasureCPU4 > 70)||(MeasureCPU4 = 70))&&(MeasureCPU4 < 80)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU4Bar ImageTint "C97906"]

[CPU4 80-90] красный
Measure=Calc
Formula=((MeasureCPU4 > 80)||(MeasureCPU4 = 80))&&(MeasureCPU4 < 90)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPU4Bar ImageTint"FF0000"]
==================================
[Line4]
Meter=Image
ImageName=Image\Separator.png
ImageAlpha=130
X=30
Y=335
===================================
TEMPERATURE
===================================
[MeasureCPUTEMP]
Measure=Plugin
Plugin=Plugins\SpeedFanPlugin.dll
SpeedFanType=TEMPERATURE
SpeedFanNumber=#CPUIndex#

[TempCPU]
Measure=Calc
Formula=MeasureCPUTEMP/100

[MeasureGPUTEMP]
Measure=Plugin
Plugin=Plugins\SpeedFanPlugin.dll
SpeedFanType=TEMPERATURE
SpeedFanNumber=#GPUIndex#

[TempGPU]
Measure=Calc
Formula=MeasureGPUTEMP/100

[MeasureHDDTemp]
Measure=Plugin
Plugin=Plugins\SpeedFanPlugin.dll
SpeedFanType=TEMPERATURE
SpeedFanNumber=#PrimaryHDDIndex#

[TempHDD]
Measure=Calc
Formula=MeasureHDDTEMP/100

[MeasureFAN]
Measure=Plugin
Plugin=Plugins\SpeedFanPlugin.dll
SpeedFanType=FAN
SpeedFanNumber=#FAN#

[MeasureF]
Measure=Calc
Formula=MeasureFAN/100
MinValue=0
MaxValue=100

===================

[TextC]
Meter=STRING
X=60
Y=341
MeterStyle=style
Text="Температура"
======================
[CPUText]
Meter=STRING
X=20
Y=355
MeterStyle=style
Text="CPU"

[CPUImage]
Meter=IMAGE
X=56
Y=356
ImageName=Image\TempBarImage.png

[CPUBar]
Meter=Bar
MeasureName=TempCPU
BarOrientation=Horizontal
BarImage=Image\TempBar.png
X=56
Y=356

[CPUC]
Meter=String
MeasureName=MeasureCPUTEMP
X=195
Y=355
MeterStyle=style
StringAlign=RIGHT
Postfix=" °C"
NumOfDecimals=2
==========Цвет==================
[TempCPU 0-50] голубой
Measure=Calc
Formula=(MeasureCPUTEMP > 0)&&(MeasureCPUTEMP < 50)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPUBar ImageTint "0399f3"]

[TempCPU 50-60] синий
Measure=Calc
Formula=((MeasureCPUTEMP > 50)||(MeasureCPUTEMP = 50))&&(MeasureCPUTEMP < 60)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPUBar ImageTint "015589"]

[TempCPU 60-70] жёлтый
Measure=Calc
Formula=((MeasureCPUTEMP > 60)||(MeasureCPUTEMP = 60))&&(MeasureCPUTEMP < 70)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPUBar ImageTint "FAFF0D"]

[TempCPU 70-80] оранжевый
Measure=Calc
Formula=((MeasureCPUTEMP > 70)||(MeasureCPUTEMP = 70))&&(MeasureCPUTEMP < 80)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPUBar ImageTint "C97906"]

[TempCPU 80-90] красный
Measure=Calc
Formula=((MeasureCPUTEMP > 80)||(MeasureCPUTEMP = 80))&&(MeasureCPUTEMP < 90)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption CPUBar ImageTint"FF0000"]

============================

[GPUText]
Meter=STRING
X=20
Y=367
MeterStyle=style
Text="GPU"

[GPUImage]
Meter=IMAGE
X=56
Y=368
ImageName=Image\TempBarImage.png

[GPUBar]
Meter=Bar
MeasureName=TempGPU
BarOrientation=Horizontal
BarImage=Image\TempBar.png
X=56
Y=368

[GPUC]
Meter=String
MeasureName=MeasureGPUTEMP
X=195
Y=367
MeterStyle=style
StringAlign=RIGHT
Postfix=" °C"
NumOfDecimals=2

==========Цвет==================
[TempGPU 0-50] голубой
Measure=Calc
Formula=(MeasureGPUTEMP > 0)&&(MeasureGPUTEMP < 50)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption GPUBar ImageTint "0399f3"]

[TempGPU 50-60] синий
Measure=Calc
Formula=((MeasureGPUTEMP > 50)||(MeasureGPUTEMP = 50))&&(MeasureGPUTEMP < 60)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption GPUBar ImageTint "015589"]

[TempGPU 60-70] жёлтый
Measure=Calc
Formula=((MeasureGPUTEMP > 60)||(MeasureGPUTEMP = 60))&&(MeasureGPUTEMP < 70)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption GPUBar ImageTint "FAFF0D"]

[TempGPU 70-80] оранжевый
Measure=Calc
Formula=((MeasureGPUTEMP > 70)||(MeasureGPUTEMP = 70))&&(MeasureGPUTEMP < 80)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption GPUBar ImageTint "C97906"]

[TempGPU 80-90] красный
Measure=Calc
Formula=((MeasureGPUTEMP > 80)||(MeasureGPUTEMP = 80))&&(MeasureGPUTEMP < 90)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption GPUBar ImageTint "FF0000"]
============================

[HDDText]
Meter=STRING
X=20
Y=379
MeterStyle=style
Text="HDD"

[HDDImage]
Meter=IMAGE
X=56
Y=380
ImageName=Image\TempBarImage.png

[HDDBar]
Meter=Bar
MeasureName=TempHDD
BarOrientation=Horizontal
BarImage=Image\TempBar.png
X=56
Y=380

[HDDC]
Meter=String
MeasureName=MeasureHDDTemp
X=195
Y=379
MeterStyle=style
StringAlign=RIGHT
Postfix=" °C"
NumOfDecimals=2

==========Цвет==================
[TempHDD 0-40] голубой
Measure=Calc
Formula=(MeasureHDDTEMP > 0)&&(MeasureHDDTEMP < 40)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption HDDBar ImageTint "0399f3"]

[TempHDD 40-50] жёлтый
Measure=Calc
Formula=((MeasureHDDTEMP > 40)||(MeasureHDDTEMP = 40))&&(MeasureHDDTEMP < 50)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption HDDBar ImageTint "FAFF0D"]

[TempHDD 50-60] красный
Measure=Calc
Formula=((MeasureHDDTEMP > 50)||(MeasureHDDTEMP = 50))&&(MeasureHDDTEMP < 60)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption HDDBar ImageTint "FF0000"]
============================

[FANText]
Meter=STRING
X=20
Y=391
MeterStyle=style
Text="FAN"

[FANImage]
Meter=IMAGE
ImageName=Image\TempBarImageF.png
X=56
Y=392

[FANBar]
Meter=Bar
MeasureName=MeasureF
BarOrientation=Horizontal
BarImage=Image\TempBarF.png
X=56
Y=392

[FANSPD]
Meter=String
MeasureName=MeasureFAN
X=195
Y=391
MeterStyle=style
StringAlign=RIGHT
Prefix=""
Postfix="rpm"
==========Цвет==================
[TempFAN 0-50] голубой
Measure=Calc
Formula=(MeasureF > 0)&&(MeasureF < 50)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption FANBar ImageTint "0399f3"]

[TempFAN 50-60] синий
Measure=Calc
Formula=((MeasureF > 50)||(MeasureF = 50))&&(MeasureF < 60)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption FANBar ImageTint"015589"]

[TempFAN 60-70] жёлтый
Measure=Calc
Formula=((MeasureF > 60)||(MeasureF = 60))&&(MeasureF < 70)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption FANBar ImageTint "FAFF0D"]

[TempFAN 70-80] оранжевый
Measure=Calc
Formula=((MeasureF > 70)||(MeasureF = 70))&&(MeasureF < 80)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption FANBar ImageTint "C97906"]

[TempFAN 80-90] красный
Measure=Calc
Formula=((MeasureF > 80)||(MeasureF = 80))&&(MeasureF < 90)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption FANBar ImageTint "FF0000"]

==================================
[Line5]
Meter=Image
ImageName=Image\Separator.png
ImageAlpha=130
X=30
Y=403
===================================
IP, Traffic, Ping
===================================
[MeasureAdapterDesc]
Measure=Plugin
Plugin=SysInfo
SysInfoType=ADAPTER_DESCRIPTION
SysInfoData=Best
UpdateRate=5
DynamicVariables=1

[MeterAdapterDesc]
Meter=STRING
MeasureName=MeasureAdapterDesc
X=110
Y=409
W=200
H=
MeterStyle=style
StringAlign=Center
ClipString=2

[MeasureAnimation]
Measure=CALC
Formula=Counter % 12
UpdateDivider=1

[Flag]
Meter=BITMAP
MeasureName=MeasureAnimation
X=12
Y=415
BitmapImage=Image\ua.png
BitmapFrames=12
BitmapExtend=1
UpdateDivider=1
DynamicVariables=1
ToolTipText=Сброс
LeftMouseDownAction=[PLAY "camera.wav"][!RainmeterResetStats]

===================

[MeasureIP]
Measure=Plugin
Plugin=Plugins\WebParser.dll
URL=http://checkip.dyndns.org
RegExp="(?siU)<body>(.+)Address: (.+)</body>"
StringIndex=2
UpdateRate=900
Substitute="":"not connected"

[IPLabel]
Meter=STRING
X=55
Y=422
MeterStyle=style
Text="IP"

[IPValue]
Meter=String
MeasureName=MeasureIP
X=177
Y=422
MeterStyle=style
StringAlign=RIGHT
RightMouseUpAction=[!SetClip "[MeasureIP]"]
MouseActionCursor=1

==================
[MeasurePing]
Measure=Plugin
Plugin=PingPlugin
DestAddress=8.8.8.8
;ru.smart-ip.net
;peoplenet.ua
UpdateRate=1

[MeterText]
Meter=String
MeterStyle=Style
X=55
Y=433
Text=PING

[MeterPingText]
Meter=String
MeasureName=MeasurePing
MeterStyle=Style
X=177
Y=433
StringAlign=RIGHT
Text=%1 ms
;AutoScale=1
Percentual=1
;UpdateRate=1
===================
DOWNLOAD
===================
[NetD]
Measure=NetIn
MinValue=0
MaxValue=3145728
IfEqualValue=0
IfEqualAction=[!SetOption meterDownloadArrow ImageTint 255,255,255,30]
IfAboveValue=0
IfAboveAction=[!SetOption meterDownloadArrow ImageTint 0,148,255,255]

[NetCountD]
Measure=NetIn
AverageSize=3

[NetCountDD]
Measure=NetIn
Cumulative=1
=============
[TextD]
Meter=STRING
X=15
Y=452
MeterStyle=style
Text="Приём"

[TrafficD]
Meter=STRING
MeasureName=NetD
X=185
Y=452
MeterStyle=style
StringAlign=RIGHT
NumOfDecimals=1
Scale=1000.00

[GraphD]
Meter=Line
MeasureName=NetCountD
X=20
Y=465
H=20
W=170
LineCount=1
LineColor=0,168,255,255
AutoScale=0
AntiAlias=0
Flip=1

[HistogramD]
Meter=HISTOGRAM
MeasureName=NetCountD
X=20
Y=465
H=20
W=170
PrimaryColor=0,168,255,50
AutoScale=0
AntiAlias=0
Flip=1

[Pointer-1]
Meter=Image
ImageName=Image\ptr1.png
X=190
Y=(459+( ([NetCountD:%])*0.2 ))
AntiAlias=1
DynamicVariables=1

[ImagePointer-1]
Meter=Image
ImageName=Image\0.png
X=211
Y=465

[TrafficCounterD]
Meter=STRING
MeasureName=NetCountDD
X=80
Y=452
MeterStyle=style
StringAlign=Left
AutoScale=1
NumOfDecimals=2

[meterDownloadArrow]
Meter=image
ImageName=Image\Arrow D.png
X=8
Y=460
====================
UPLOAD
===================
[NetU]
Measure=NetOut
MinValue=0
MaxValue=1048576
IfEqualValue=0
IfEqualAction=[!SetOption meterUploadArrow ImageTint 255,255,255,30]
IfAboveValue=0
IfAboveAction=[!SetOption meterUploadArrow ImageTint 0,148,255,255]

[NetCountU]
Measure=NetOut
AverageSize=3

[NetCountUU]
Measure=NetOut
Cumulative=1
=================

[TextUP]
Meter=STRING
X=15
Y=515
MeterStyle=style
Text="Отдача"

[TrafficU]
Meter=STRING
MeasureName=NetU
X=185
Y=515
MeterStyle=style
StringAlign=RIGHT
NumOfDecimals=1
Scale=1000.00

[GraphUP]
Meter=Line
MeasureName=NetCountU
X=30
Y=490
H=20
W=170
LineCount=1
LineColor=0,168,255,255
AutoScale=0
AntiAlias=0
GraphStart=LEFT

[HistogramUP]
Meter=HISTOGRAM
MeasureName=NetCountU
X=30
Y=490
H=20
W=170
PrimaryColor=0,168,255,50
AutoScale=0
AntiAlias=0
GraphStart=LEFT

[Pointer-2]
Meter=Image
ImageName=Image\ptr2.png
X=3
Y=(503-( ([NetCountU:%])*0.2 ))
AntiAlias=1
DynamicVariables=1

[ImagePointer-2]
Meter=Image
ImageName=Image\0.png
X=6
Y=489

[TrafficCounterU]
Meter=STRING
MeasureName=NetCountUU
X=80
Y=515
MeterStyle=style
StringAlign=Left
AutoScale=1
NumOfDecimals=2

[meterUploadArrow]
Meter=image
ImageName=Image\Arrow U.png
X=201
Y=504

=========================
[MeasureTotal]
Measure=NetTotal
Cumulative=1

[TextTotal]
Meter=STRING
X=55
Y=485
MeterStyle=style
Text="Всего"

[MeterTotal]
Meter=STRING
MeasureName=MeasureTotal
X=115
Y=485
MeterStyle=style
StringAlign=Left
AutoScale=1
NumOfDecimals=2

=============================
Connect
=============================

[MeasureNetwork]
Measure=Plugin
Plugin=CheckNet
ConnectionType=Internet
UpdateRate=5
IfCondition=MeasureNetWork = -1

[MeasureNetIn]
Measure=NetIn
Interface=Best
MinValue=0
MaxValue=(49.00 * 1048576)

[MeasureNetOut]
Measure=NetOut
Interface=Best
MinValue=0
MaxValue=(7.00 * 1048576)

[MeasureSetImage]
Measure=Calc
Formula=1
IfCondition=(MeasureNetIn > 0) && (MeasureNetOut = 0)
IfTrueAction=[!SetOption MeterImage ImageName "NetworkIn.png"][!UpdateMeter *][!Redraw]
IfCondition2=(MeasureNetIn = 0) && (MeasureNetOut > 0)
IfTrueAction2=[!SetOption MeterImage ImageName "NetworkOut.png"][!UpdateMeter *][!Redraw]
IfCondition3=(MeasureNetIn > 0) && (MeasureNetOut > 0)
IfTrueAction3=[!SetOption MeterImage ImageName "NetworkBoth.png"][!UpdateMeter *][!Redraw]
IfCondition4=(MeasureNetIn = 0) && (MeasureNetOut = 0)
IfTrueAction4=[!SetOption MeterImage ImageName "NetworkOk.png"][!UpdateMeter *][!Redraw]
IfCondition5=MeasureNetwork = -1
IfTrueAction5=[!SetOption MeterImage ImageName "NetworkError.png"][!UpdateMeter *][!Redraw]

[MeterImage]
Meter=IMAGE
ImagePath=Images\
ImageName=NetworkError.png
X=180
Y=412
W=35
H=35
AntiAlias=1
DynamicVariables=1

[Ms_Internet]
Measure=Plugin
Plugin=CheckNet
ConnectionType=Internet
UpdateRate=5
IfAboveValue=0
IfAboveAction=[!EnableMeasure Ms_Calc]

[Ms_Calc]
Measure=Calc
Formula=Ms_Internet
IfBelowValue=0
IfBelowAction=[Play "OFF.wav"]
Disabled=1
==================================
[Line6]
Meter=Image
ImageName=Image\Separator.png
ImageAlpha=130
X=30
Y=530
==================================
Volume
==================================
[PercentageCalc]
Measure=Calc
Formula=(MeasureWin7Audio+0)
Substitute="-1":"0"
UpdateDivider=1

[MeasureWin7Audio]
Measure=Plugin
Plugin=Win7AudioPlugin

[MeasureVolume]
UpdateDivider=0.01
Measure=Plugin
Plugin=Win7AudioPlugin

[MeasureMuted]
Measure=Calc
Formula=MeasureVolume<0
IfAboveValue=0
IfAboveAction=[!SetOption "Slider" "ImageTint" "175,175,175,150"]
IfBelowValue=1
IfBelowAction=[!SetOption "Slider" "ImageTint" " "]

[Bar]
Meter=Image
UpdateDivider=1
SolidColor=0,0,0,0
X=48
Y=546
W=140
H=22
MouseScrollUpAction=[!CommandMeasure "MeasureVolume" "ChangeVolume +1"][!Update][!Redraw]
MouseScrollDownAction=[!CommandMeasure "MeasureVolume" "ChangeVolume -1"][!Update][!Redraw]

[CurrentVolumeBar]
UpdateDivider=1
Meter=Image
ImageName=Image\VolBarImage1.png
x=50
y=553
W=135
H=10

[MeterL]
Meter=BAR
MeasureName=AudioL
BarOrientation=HORIZONTAL
X=50
Y=553
W=135
H=4
BarColor=0,168,255,50
UpdateDivider=1

[MeterR]
Meter=BAR
MeasureName=AudioR
BarOrientation=HORIZONTAL
X=50
Y=6r
W=135
H=4
BarColor=0,168,255,50
UpdateDivider=1

[CurrentVolumeBar2]
UpdateDivider=1
Meter=BAR
BarImage=Image\VolBar1.png
MeasureName=MeasureVolume
BarOrientation=Horizontal
x=50
y=553
W=135
H=10
LeftMouseUpAction=[!CommandMeasure "MeasureVolume" "Setvolume  $MouseX:%$"]
ImageTint=0399f3

[Mute/Unmute Icon]
UpdateDivider=1
Meter=Image
ImageName=Image\Volume.%1.png
MeasureName=MeasureMuted
X=15
Y=536
W=30
H=30
LeftMouseUpAction=[!CommandMeasure "MeasureVolume" "ToggleMute"][!Update]
TooltipText=Вкл./Выкл. звук

[PercentVol]
UpdateDivider=1
Meter=STRING
MeasureName=PercentageCalc
x=165
y=536
MeterStyle=style
StringAlign=Center
Text="%1 %"

[SoundOut]
UpdateDivider=1
Meter=STRING
MeasureName=MeasureVolume
x=52
y=536
W=100
H=20
MeterStyle=style
ClipString=1
Text="%1"

[AudioLR]
Measure=Plugin
Plugin=AudioLevel
Port=Output
RMSAttack=100
RMSDecay=300
RMSGain=2.5
UpdateDivider=1

[AudioL]
Measure=Plugin
Plugin=AudioLevel
Parent=AudioLR
Channel=L
Type=RMS
UpdateDivider=1

[AudioR]
Measure=Plugin
Plugin=AudioLevel
Parent=AudioLR
Channel=R
Type=RMS
UpdateDivider=1

[PeakPosL]
Measure=CALC
Formula=Clamp((AudioL*135),0,135)
UpdateDivider=1

[PeakL]
Meter=Image
ImageName=Image/indicator.png
X=(49+[PeakPosL])
Y=553
H=4
W=1
DynamicVariables=1
UpdateDivider=1

[PeakPosR]
Measure=CALC
Formula=Clamp((AudioR*135),0,135)
UpdateDivider=1

[PeakR]
Meter=Image
ImageName=Image/indicator.png
X=(49+[PeakPosR])
Y=559
H=4
W=1
DynamicVariables=1
UpdateDivider=1

[Slider]
UpdateDivider=1
Meter=Image
ImageName=Image\Slider1.png
X=(#WORKAREAWIDTH# / 2) + (([MeasureVolume:]*[CurrentVolumeBar:w]/100) - 751.5)
Y=550
DynamicVariables=1

==============================
[Line7]
Meter=Image
ImageName=Image\Separator.png
ImageAlpha=130
X=30
Y=570
====================================
Weather
======================================
[MeasureRSSWeatherNow]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=300
Url=http://wxdata.weather.com/wxdata/weather/local/#VarWeatherCode#?cc=*&unit=m&dayf=1
RegExp="(?siU)<obst>(.*)</obst>(.*)<tmp>(.*)</tmp>(.*)<t>(.*)</t>(.*)<icon>(.*)</icon>"
StringIndex=7
IfAboveValue=1
IfAboveAction=[!RainmeterHideMeter MeterIconNA]

[MeasureRSSWeatherNowTemp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherNow]
StringIndex=3

[MeasureRSSWeatherNowDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherNow]
StringIndex=5
Substitute=#VarWeatherRUS#

[MeasureRSSWeatherNowObst]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherNow]
StringIndex=1

=======================================
;[TextWeather]
Meter=String
X=80
Y=577
MeterStyle=style
Text=Погода

[CityName]
Meter=String
MeterStyle=style
Text=#CityName#
X=30
Y=577

[MeterIconNA]
ImageName=weather\na.png
Meter=IMAGE
X=145
Y=587
W=50
H=50

[MeterWeatherNowIcon]
MeasureName=MeasureRSSWeatherNow
Meter=IMAGE
Path=\weather\
X=120
Y=572

[MeterWeatherNowTemp]
Meter=STRING
MeasureName=MeasureRSSWeatherNowTemp
MeterStyle=style1
FontSize=12
X=45
Y=610
Text="%1 °C"

[MeterWeatherNowTemp2]
Meter=STRING
MeasureName=MeasureRSSWeatherNowDesc
MeterStyle=style
StringAlign=Center
ClipString=1
X=110
Y=630
W=190
H=20
Text="%1"

=================================
Today

[MeasureToday]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=300
URL=http://wxdata.weather.com/wxdata/weather/local/#VarWeatherCode#?cc=*&unit=m&dayf=1
RegExp="(?siU)<dayf>.*<lsup>(.*)</lsup>.*<day d="0" t="(.*)" dt="(.*)".*<hi>(.*)</hi>.*<low>(.*)</low>."

[MeasureHigh]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureToday]
StringIndex=4

[MeasureLow]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureToday]
StringIndex=5
================================
[MeterToday]
Meter=STRING
MeasureName=MeasureHigh
MeasureName2=MeasureLow
X=22
Y=592
MeterStyle=style
StringAlign=LEFT
Text="%1 °C  /  %2 °C"

==============================
[MeasureBase]
Measure=Plugin
Plugin=WebParser.dll
Url=http://wxdata.weather.com/wxdata/weather/local/UPXX0020
RegExp=(?siU).*<locale>(.*)</locale>.*<ut>(.*)</ut>.*<ud>(.*)</ud>.*<us>(.*)</us>.*<up>(.*)</up>.*<ur>(.*)</ur>.*<loc id="(.*)">.*<dnam>(.*)</dnam>.*<tm>(.*)</tm>.*<lat>(.*)</lat>.*<lon>(.*)</lon>.
FinishAction=[!UpdateMeasureGroup Weather][!UpdateMeterGroup Weather]

; Долгота и широта

[MeasurePositionLat]
Measure=Plugin
Plugin=WebParser.dll
Url=[MeasureBase]
StringIndex=10
RegExpSubstitute=1
Substitute="^$":"0° 0'","^(\d+).(\d+)$":"\1° \2' N","^-(\d+).(\d+)$":"\1° \2' S"

[MeasurePositionLon]
Measure=Plugin
Plugin=WebParser.dll
Url=[MeasureBase]
RegExpSubstitute=1
StringIndex=11
Substitute="^$":"0° 0'","^(\d+).(\d+)$":"\1° \2' E","^-(\d+).(\d+)$":"\1° \2' W"

[MeterLocalizationLatLon]
Meter=String
MeasureName=MeasurePositionLat
MeasureName2=MeasurePositionLon
MeterStyle=style
StringAlign=Center
x=110
y=657
Text=LOC:  %1  /  %2
Group=Weather

================================
Восход - Закат

[Ms_SunRise]
Measure=Plugin
Plugin=WebParser
URL=http://wxdata.weather.com/wxdata/weather/local/UPXX0020?cc=*&unit=m&dayf=4
RegExp=(?siU).*<sunr>(.*)</sunr>.*<suns>(.*)</suns>
StringIndex=1
RegExpSubstitute=1
Substitute="(.*):(.*) (.*)":"\1\3:\2","1PM":"13","1PM":"13","1PM":"13","2PM":"14","3PM":"15","4PM":"16","5PM":"17","6PM":"18","7PM":"19","8PM":"20","9PM":"21","19PM":"22","11PM":"23","12PM":"0","AM":""

[Ms_SunSet]
Measure=Plugin
Plugin=WebParser
URL=[Ms_SunRise]
StringIndex=2
RegExpSubstitute=1
Substitute="(.*):(.*) (.*)":"\1\3:\2","1PM":"13","1PM":"13","1PM":"13","2PM":"14","3PM":"15","4PM":"16","5PM":"17","6PM":"18","7PM":"19","8PM":"20","9PM":"21","19PM":"22","11PM":"23","12PM":"0","AM":""

[MeterSunriseTxt]
Meter=String
MeasureName=Ms_SunRise
MeasureName2=Ms_SunSet
MeterStyle=style
StringAlign=Left
Text=Восход: %1
x=15
y=670

[MeterSunsetTxt]
Meter=String
MeasureName=Ms_SunRise
MeasureName2=Ms_SunSet
MeterStyle=style
StringAlign=Left
Text=Закат: %2
x=118
y=670

==============================
[Line8]
Meter=Image
ImageName=Image\Separator.png
ImageAlpha=130
X=30
Y=684
===================================
Battery
===================================

[MeasureBatteryPercent]
Measure=Plugin
Plugin=PowerPlugin
PowerState=Percent

[MeasureBatteryStatus]
Measure=Plugin
Plugin=PowerPlugin
PowerState=Status

[Measure_Calc]
Measure=Calc
Formula=FLOOR((MeasureBatteryPercent/5))

[MeasureBatteryTime]
Measure=Plugin
Plugin=PowerPlugin
PowerState=Lifetime
Format=%H : %M
Substitute="Unknown":"осталось"
DynamicVariables=1

IfCondition=(MeasureBatteryPercent = 100) && (MeasureBatteryStatus > 0)
IfTrueAction=[!SetOption MeterBatteryTime Text "Полный заряд"][!UpdateMeter "MeterBatteryTime"][!Redraw]

IfCondition2=(MeasureBatteryPercent < 100) && (MeasureBatteryStatus > 0) && (MeasureBatterySt = 1)
IfTrueAction2=[!SetOption MeterBatteryTime Text "Заряжается"][!UpdateMeter "MeterBatteryTime"][!Redraw]

IfCondition3=(MeasureBatteryPercent < 100) && (MeasureBatteryStatus > 0) && (MeasureBatterySt2 = 0)
IfTrueAction3=[!SetOption MeterBatteryTime Text "%1"][!UpdateMeter "MeterBatteryTime"][!Redraw]

IfCondition4=(MeasureBatteryStatus = 0)
IfTrueAction4=[!SetOption MeterBatteryTime Text "Нет батареи"][!UpdateMeter "MeterBatteryTime"][!Redraw]


[MeasureBatterySt]
Measure=Plugin
Plugin=PowerPlugin
PowerState=ACLine
Substitute="0":"Батарея","1":"Сеть"

[MeasureBatterySt2]
Measure=Plugin
Plugin=PowerPlugin
PowerState=ACLine
Substitute="0":"","1":"Image\Bat.png"

[MeterBatterySt]
Meter=String
MeasureName=MeasureBatterySt
X=130
Y=692
MeterStyle=style
StringAlign=center
Text=%1

[MeterBatteryPercent]
Meter=String
MeasureName=MeasureBatteryPercent
X=130
Y=707
MeterStyle=style1
StringAlign=center
Text=%1%

[MeterBar]
Meter=Bar
MeasureName=MeasureBatteryPercent
BarOrientation=Vertical
X=38
Y=694
BarImage=Image\Bar.png

[meterbg]
meter=image
imagename=Image\Battery.png
X=25
Y=681

[MeterBatteryTime]
Meter=String
MeasureName=MeasureBatteryTime
X=130
Y=722
MeterStyle=style
StringAlign=center
Text=%1

[MeterBatterySt2]
Meter=Image
MeasureName=MeasureBatterySt2
X=34
Y=699
ImageName=Image\Bat.png

==========Цвет==================
[MeasureBatteryPercent 0-10]
Measure=Calc
Formula=(MeasureBatteryPercent > 0)&&(MeasureBatteryPercent < 10)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption MeterBar BarColor "f3030c"]

[MeasureBatteryPercent 10-20]
Measure=Calc
Formula=((MeasureBatteryPercent > 10)||(MeasureBatteryPercent = 10))&&(MeasureBatteryPercent < 20)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption MeterBar ImageTint "f32103"]

[MeasureBatteryPercent 20-30]
Measure=Calc
Formula=((MeasureBatteryPercent > 20)||(MeasureBatteryPercent = 20))&&(MeasureBatteryPercent < 30)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption MeterBar ImageTint "f34903"]

[MeasureBatteryPercent 30-40]
Measure=Calc
Formula=((MeasureBatteryPercent > 30)||(MeasureBatteryPercent = 30))&&(MeasureBatteryPercent < 40)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption MeterBar ImageTint "f38d03"]

[MeasureBatteryPercent 40-50]
Measure=Calc
Formula=((MeasureBatteryPercent > 40)||(MeasureBatteryPercent = 40))&&(MeasureBatteryPercent < 50)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption MeterBar ImageTint "ebf303"]

[MeasureBatteryPercent 50-60]
Measure=Calc
Formula=((MeasureBatteryPercent > 50)||(MeasureBatteryPercent = 50))&&(MeasureBatteryPercent < 60)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption MeterBar ImageTint "30f303"]

[MeasureBatteryPercent 60-70]
Measure=Calc
Formula=((MeasureBatteryPercent > 60)||(MeasureBatteryPercent = 60))&&(MeasureBatteryPercent < 70)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption MeterBar ImageTint "03f369"]

[MeasureBatteryPercent 70-80]
Measure=Calc
Formula=((MeasureBatteryPercent > 70)||(MeasureBatteryPercent = 70))&&(MeasureBatteryPercent < 80)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption MeterBar ImageTint "03f3c3"]

[MeasureBatteryPercent 80-90]
Measure=Calc
Formula=((MeasureBatteryPercent > 80)||(MeasureBatteryPercent = 80))&&(MeasureBatteryPercent < 90)? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption MeterBar ImageTint "03cff3"]

[MeasureBatteryPercent 90-100]
Measure=Calc
Formula=((MeasureBatteryPercent = 90)||(MeasureBatteryPercent > 90))&&((MeasureBatteryPercent < 100)||(MeasureBatteryPercent = 100))? 1 : 0
IfEqualValue=1
IfEqualAction=[!SetOption MeterBar ImageTint "0399f3"]
==============================
[Line9]
Meter=Image
ImageName=Image\Separator.png
ImageAlpha=130
X=30
Y=739
==============================
Bin
==============================
[MeasureBin]
Measure=Plugin
Plugin=RecycleManager.dll
Drives=ALL
RecycleType=COUNT

[MeasureSize]
Measure=Plugin
Plugin=RecycleManager.dll
Drives=ALL
RecycleType=SIZE

[BinAction]
Measure=Calc
Formula=MeasureBin
IfEqualAction=[!HideMeter MeterBinFull][!ShowMeter MeterBinEmpty]
IfEqualValue=0
IfAboveAction=[!HideMeter MeterBinEmpty][!ShowMeter MeterBinFull]
IfAboveValue=0
================
[MeterBinEmpty]
Meter=Button
ButtonImage=Image\Empty.png
X=84
Y=743
Hidden=0
LeftMouseUpAction=[PLAY "camera.wav"][::{645FF040-5081-101B-9F08-00AA002F954E}]

[MeterBinFull]
Meter=Button
ButtonImage=Image\Full.png
X=84
Y=743
Hidden=1
LeftMouseDownAction=[PLAY "camera.wav"][!RainmeterPluginBang "MeasureBin OpenBin"]
RightMouseUpAction=[PLAY "camera.wav"][!RainmeterPluginBang "MeasureBin EmptyBin"]

[MeterCountText]
Meter=STRING
X=50
Y=745
MeterStyle=style
StringAlign=center
Text="Файлы"

[MeterCount]
Meter=STRING
MeasureName=MeasureBin
X=50
Y=760
MeterStyle=style
StringAlign=center
Text=%1
Postfix="шт."
AutoScale=1
NumOfDecimals=0

[MeterSizeText]
Meter=STRING
X=175
Y=745
MeterStyle=style
StringAlign=center
Text="Объём"

[MeterSize]
Meter=STRING
MeasureName=MeasureSize
X=175
Y=760
MeterStyle=style
StringAlign=center
Text=%1
Postfix="B"
AutoScale=1
NumOfDecimals=2
==============================
[Line10]
Meter=Image
ImageName=Image\Separator.png
ImageAlpha=130
X=30
Y=777
===================================
Power
===================================

[PowerButton1]
Meter=Button
X=180
Y=785
ButtonImage=Image\Button1.png
LeftMouseDownAction=[Play Panel.wav][!HideMeter PowerButton1][!ShowMeter PowerButton2][!HideMeter PowerGlass][!ShowMeter ShutdownButton][!ShowMeter RestartButton][!ShowMeter LockButton]

[PowerButton2]
Meter=Button
X=180
Y=785
ButtonImage=Image\Button2.png
LeftMouseDownAction=[Play Panel.wav][!HideMeter PowerButton2][!ShowMeter PowerButton1][!ShowMeter PowerGlass][!HideMeter ShutdownButton][!HideMeter RestartButton][!HideMeter LockButton]
Hidden=1

[ShutdownButton]
Meter=Button
ButtonImage=Image\Shutdown.png
X=52
Y=781
LeftMouseUpAction=[Play Button.wav] [%systemroot%\system32\shutdown.exe -s -t 00]
MouseOverAction=[!RainmeterShowMeter ShutdownText][!RainmeterRedraw]
MouseLeaveAction=[!RainmeterHideMeter ShutdownText][!RainmeterRedraw]
Hidden=1

[ShutdownText]
Meter=String
X=60
Y=772
MeterStyle=style
Text="Выключение"
Hidden=1

[RestartButton]
Meter=Button
ButtonImage=Image\Restart.png
X=93
Y=781
LeftMouseUpAction=[Play Button.wav] [%windir%\System32\shutdown.exe -r -t 00]
MouseOverAction=[!RainmeterShowMeter RestartText][!RainmeterRedraw]
MouseLeaveAction=[!RainmeterHideMeter RestartText][!RainmeterRedraw]
Hidden=1

[RestartText]
Meter=String
X=55
Y=772
MeterStyle=style
Text="Перезагрузка"
Hidden=1

[LockButton]
Meter=Button
ButtonImage=Image\Lock.png
X=134
Y=781
LeftMouseUpAction=[Play Button.wav] [%windir%\System32\rundll32.exe user32.dll LockWorkStation]
MouseOverAction=[!RainmeterShowMeter LockText][!RainmeterRedraw]
MouseLeaveAction=[!RainmeterHideMeter LockText][!RainmeterRedraw]
Hidden=1

[LockText]
Meter=String
X=40
Y=772
MeterStyle=style
Text="Выйти из системы"
Hidden=1

[PowerGlass]
Meter=Image
X=50
Y=779
ImageName=Image\powerglass.png
===================================
UpTime
===================================
[MeasureUpDays]
Measure=UpTime
Format="%4!i!"

[MeasureUpHours]
Measure=UpTime
Format="%3!i!"

[MeasureUpTime]
Measure=UpTime
Format="%2!02i!:%1!02i!"

[MeasureHoursCalc]
Measure=Calc
Formula=([MeasureUpHours] % 24)
DynamicVariables=1
MinValue=0
MaxValue=24
===================================
[TextUptime]
Meter=String
X=55
Y=808
MeterStyle=style
Text=Время работы

[MeterDays]
Meter=String
MeasureName=MeasureUpDays
X=55
Y=820
MeterStyle=style
Text=%1

[UptimeLabel]
Meter=String
X=65
Y=820
MeterStyle=style
Text=" дн"

[MeterUpTimeHours]
Meter=String
MeasureName=MeasureHoursCalc
X=107
Y=820
MeterStyle=style
Text=%1:

[MeterUpTimeText]
Meter=String
MeasureName=MeasureUpTime
X=-2R
Y=820
MeterStyle=style
Text=%1

==============================
[MeterBlockDisp]
Meter=Button
ButtonImage=Image\Buttons.png
X=190
Y=834
Antialias=1
LeftMouseUpAction=[PLAY "camera.wav"][!RainmeterActivateConfig "Information Bar\Bar\Lock" "RainLock.ini"]
ToolTipText=Блокировка экрана
================================
